Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060503 - Review Request: golang-github-mitchellh-mapstructure - A Go library for decoding generic map values to structures and vice versa
Summary: Review Request: golang-github-mitchellh-mapstructure - A Go library for decod...
Keywords:
Status: CLOSED DUPLICATE of bug 1153724
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-02 04:56 UTC by Jeff Schroeder
Modified: 2016-06-16 10:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 13:51:40 UTC


Attachments (Terms of Use)

Description Jeff Schroeder 2014-02-02 04:56:33 UTC
Spec URL: http://www.digitalprognosis.com/opensource/packages/golang-github-mitchellh-mapstructure/golang-github-mitchellh-mapstructure.spec
SRPM URL: http://www.digitalprognosis.com/opensource/packages/golang-github-mitchellh-mapstructure/golang-github-mitchellh-mapstructure-0-0.1.git57bb2fa7a7e0.fc20.src.rpm

Description:
This library is most useful when decoding values from some data stream (JSON,
Gob, etc.)

Fedora Account System Username: sejeff

[jeff@omniscience SPECS]$ rpmlint golang-github-mitchellh-mapstructure.spec ../SRPMS/golang-github-mitchellh-mapstructure-0-0.1.git57bb2fa7a7e0.fc20.src.rpm ../RPMS/golang-github-mitchellh-mapstructure-devel-0-0.1.git57bb2fa7a7e0.fc20.noarch.rpm
golang-github-mitchellh-mapstructure.src: W: spelling-error Summary(en_US) versa -> avers, verse, verso
golang-github-mitchellh-mapstructure.src: W: spelling-error %description -l en_US versa -> avers, verse, verso
golang-github-mitchellh-mapstructure-devel.noarch: W: spelling-error Summary(en_US) versa -> avers, verse, verso
golang-github-mitchellh-mapstructure-devel.noarch: W: spelling-error %description -l en_US versa -> avers, verse, verso
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

vice versa is not misspelled. It apparently isn't in the dictionary without the latin character above the a.

The Koji build was successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6480489

Comment 1 Peter Lemenkov 2014-03-13 11:30:33 UTC
Removing FE-NEEDSPONSOR - I've just sponsored Jeff.

Comment 2 Jeff Schroeder 2014-05-25 03:41:18 UTC
Updated based on some comments from another package:

Koji build looks good:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6887684

Updated files:
http://www.digitalprognosis.com/opensource/packages/golang-github-mitchellh-mapstructure/golang-github-mitchellh-mapstructure.spec
http://www.digitalprognosis.com/opensource/packages/golang-github-mitchellh-mapstructure/golang-github-mitchellh-mapstructure-0-0.1.git6fb2c83.fc20.src.rpm

rpmlint is also clean:
[jeff@omniscience SPECS] (master)$ rpmlint golang-github-mitchellh-mapstructure.spec ../SRPMS/golang-github-mitchellh-mapstructure-0-0.1.git6fb2c83.fc20.src.rpm ../RPMS/golang-github-mitchellh-mapstructure-devel-0-0.1.git6fb2c83.fc20.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 3 Upstream Release Monitoring 2016-02-08 13:43:34 UTC
jchaloup's scratch build of go-memdb-9ea975b.tar.gz for cli-build/1454938967.533693.wYGVMBzT/go-memdb-9ea975b.tar.gz and f22-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902531

Comment 4 Olivier Lemasle 2016-06-13 11:04:19 UTC
This package is now in Fedora repositories: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-mitchellh-mapstructure/

I guess this ticket should be closed.

NB: I'm not yet a maintainer, as I haven't been sponsored.

Comment 5 Jan Chaloupka 2016-06-13 13:51:40 UTC
Thanks Olivier for pointing this out.

*** This bug has been marked as a duplicate of bug 1153724 ***

Comment 6 Jan Chaloupka 2016-06-16 10:35:18 UTC
@gofedbot check review

Comment 7 Jan Chaloupka 2016-06-16 10:47:52 UTC
@gofedbot check review

Comment 8 gofed bot 2016-06-16 10:48:12 UTC
## Possible duplicates:

* https://bugzilla.redhat.com/1153724: Review Request: golang-github-mitchellh-mapstructure - Go library for decoding generic map values into native Go structures


Note You need to log in before you can comment on or make changes to this bug.